<!doctype html>
<html>
<head>
    <title>Tor Browser Bundle 1.2.9 Released | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor Browser Bundle 1.2.9 Released | Tor Project">
    <meta property="og:description" content="Tor Browser Bundle 1.2.9 is released today. It updates Firefox and Pidgin Instant Messaging...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-browser-bundle-129-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor Browser Bundle 1.2.9 Released
      </h1>
    <p class="meta">by phobos | September 12, 2009</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor Browser Bundle 1.2.9 is released today.  It updates Firefox and Pidgin Instant Messaging client to address the security issues in the older versions, and includes the latest and greatest Vidalia.</p>

<p>TBB can be downloaded from <a href="https://www.torproject.org/torbrowser" rel="nofollow">https://www.torproject.org/torbrowser</a>.</p>

<p>The details of the changes are:</p>

<ul>
<li>update Vidalia to 0.2.4</li>
<li>update Qt to 4.5.2</li>
<li>update Pidgin to 2.6.2</li>
<li>update Firefox to 3.0.14</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-2483"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2483" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 12, 2009</p>
    </div>
    <a href="#comment-2483">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2483" class="permalink" rel="bookmark">Sorry for offtopic, but i am</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry for offtopic, but i am using Vidalia 0.2.3, and i found that there is a lot requests to non mapped IP 69.164.192.183:443 (callisto.vidalia-project.net). What is this?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2486"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2486" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 12, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2483" class="permalink" rel="bookmark">Sorry for offtopic, but i am</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2486">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2486" class="permalink" rel="bookmark">re: vidalia ip</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's the server we use to update the geoip database on your client.  You anonymously connect over Tor to the server, get database updates to download, and then locate servers around the world.  If you disable this feature, you'll notice the network map has no country flags next to the relays.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2514"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2514" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 14, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-2514">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2514" class="permalink" rel="bookmark">Why do you force people to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why do you force people to update this database, in previous versions it worked with a non "updated" database.</p>
<p>My configuration is quite strict so newest version is not working as it should, have to use older ones until this new "feature" is fixed or clearly explained how to get it working !!!</p>
<p>What IPs do i have to enable in torrc for this to work with latest bundle ? </p>
<p>Do i have to enable this IP: 69.164.192.183:443(in TORRC, firewall or both?), do i have to do that only once, or every time i start vidalia or even every X hours ???</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2529"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2529" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2514" class="permalink" rel="bookmark">Why do you force people to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2529">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2529" class="permalink" rel="bookmark">re: because</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>People like to see where the relays exist in the world.  The geoip lookups are completely anonymously over Tor.  You shouldn't have to allow anything in your firewall at all.</p>
<p>Perhaps we should have a config option in vidalia to disable geoip lookups of relays.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2603"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2603" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 24, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-2603">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2603" class="permalink" rel="bookmark">TORRC not respected anymore</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>My point is this:<br />
Previous versions of vidalia bundle works and shows country flags on map, this version is not working, not shownig any country flags on map and are allowing circuits that is blocked by my torrc configuration, so once again </p>
<p>" My configuration is quite strict so newest version is not working as it should, have to use older ones until this new "feature" is fixed or clearly explained how to get it working !!!</p>
<p>What IPs do i have to enable in torrc for this to work with latest bundle ? "</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-2487"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2487" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 12, 2009</p>
    </div>
    <a href="#comment-2487">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2487" class="permalink" rel="bookmark">hmm.. why is there no Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hmm.. why is there no Tor Browser 0.2.2.1-alpha Bundle? :(</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2488"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2488" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 12, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2487" class="permalink" rel="bookmark">hmm.. why is there no Tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2488">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2488" class="permalink" rel="bookmark">re: hmm</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Because it's already alpha enough?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2497"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2497" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Yoav (not verified)</span> said:</p>
      <p class="date-time">September 13, 2009</p>
    </div>
    <a href="#comment-2497">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2497" class="permalink" rel="bookmark">TorButton not working on release</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The torbutton is incompatible with this release of Firefox, nor does it work with firefox 3.5.3.</p>
<p>Question:<br />
why not use firefox 3.5.3 on the TOR browser?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2499"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2499" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 13, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2497" class="permalink" rel="bookmark">TorButton not working on release</a> by <span>Yoav (not verified)</span></p>
    <a href="#comment-2499">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2499" class="permalink" rel="bookmark">re: torbutton and firefox 3.5.x</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We don't recommend using torbutton with Firefox 3.5.x at all.  While it may appear to work, Firefox 3.5 is a major rewrite of the codebase.  We're in the middle of a month of analyzing the firefox 3.5 codebase and adapting torbutton to work with it.</p>
<p>Torbutton was designed for Firefox 3.0.x.  This is why we don't ship firefox 3.5.x in the Tor Browser Bundles, it's not safe to do so.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2500"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2500" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>yoav (not verified)</span> said:</p>
      <p class="date-time">September 13, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-2500">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2500" class="permalink" rel="bookmark">OK, thanks for the answer.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>OK, thanks for the answer. Please note that the TOR button does not work with firefox 3.0.0.14 as well.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2524"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2524" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2500" class="permalink" rel="bookmark">OK, thanks for the answer.</a> by <span>yoav (not verified)</span></p>
    <a href="#comment-2524">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2524" class="permalink" rel="bookmark">re: torbutton</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>torbutton works fine with 3.0.14.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2602"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2602" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 23, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-2602">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2602" class="permalink" rel="bookmark">Is the official statement</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is the official statement still that you have to abandon the Firefox browser in the future when version 3.5.x is the only alternative/updated version because of the severe security issues that's impossible to solve with it<br />
Or is it that you are to completely rewrite your own version of it.</p>
<p>If so what alternative browser(s) that are considered safe if any to replace firefox with ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2661"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2661" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2602" class="permalink" rel="bookmark">Is the official statement</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2661">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2661" class="permalink" rel="bookmark">re: official statement</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is as official as it gets, <a href="https://blog.torproject.org/blog/tor-browser-bundle-129-released#comment-2499" rel="nofollow">https://blog.torproject.org/blog/tor-browser-bundle-129-released#commen…</a></p>
<p>It's a work in progress.  We realize that Firefox 3.0.x will be unsupported past January 2010.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-2520"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2520" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2497" class="permalink" rel="bookmark">TorButton not working on release</a> by <span>Yoav (not verified)</span></p>
    <a href="#comment-2520">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2520" class="permalink" rel="bookmark">&gt;The torbutton is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt;The torbutton is incompatible with this release of Firefox,</p>
<p>Hmmm.  The release of FF included with the copy of this bundle that I downloaded is 3.0.13 and it is working just fine.  Perhaps I misunderstood what you were trying to say?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2504"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2504" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 13, 2009</p>
    </div>
    <a href="#comment-2504">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2504" class="permalink" rel="bookmark">what? On your dowloads page</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>what? On your dowloads page it say "Want Tor to really work?....We recommend you use Firefox with the Torbutton extension." and you link to mozilla's latest version of firefox (3.5.3) Now you say not to?<br />
And torbutton also say it works fine to firefox 3.6a1pre. some very unclear ambiguity going on here and worrying stuff too.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2522"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2522" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2504" class="permalink" rel="bookmark">what? On your dowloads page</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2522">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2522" class="permalink" rel="bookmark">Re: &quot;On your dowloads page</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Re: "On your dowloads page it say "Want Tor to really work?....We recommend you use Firefox with the Torbutton extension." and you link to mozilla's latest version of firefox (3.5.3)"</p>
<p>The url behind that link is "<a href="http://www.mozilla.org/firefox" rel="nofollow">http://www.mozilla.org/firefox</a>" which is obsolete (predates the restructuring of the Mozilla project and domains mozilla.org &amp; mozilla.com)  Mozilla.org itself redirects that page request to "<a href="http://www.mozilla.com/en-US/firefox/upgrade.html" rel="nofollow">http://www.mozilla.com/en-US/firefox/upgrade.html</a>" which will always (absent more restructuring in the future) have the downloads for latest production version(s) of FF.  The link on the Tor page should be fixed or deactivated, but it isn't as if Tor were intentionally linking you to an inappropriate version of FF.</p>
<p>Re: "torbutton also say it works fine to firefox 3.6a1pre" I am unable to find such a claim on the Tor download page.  Got link?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2526"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2526" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2522" class="permalink" rel="bookmark">Re: &quot;On your dowloads page</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2526">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2526" class="permalink" rel="bookmark">re: mozilla link</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, you are correct.  I'll update this to link to Firefox 3.0.x.  Sorry for the confusion.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-2521"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2521" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 15, 2009</p>
    </div>
    <a href="#comment-2521">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2521" class="permalink" rel="bookmark">Privoxy? </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I never examined the Torbutton settings in the browser bundles until I saw allegations in this thread that it was not working.  Now that I have looked, I am a bit confused.  I recently read a statement dated 8/25/2009 by Andrew Lewman in a reply to a user question that "The Tor Browser Bundle, aka the portable bundle, doesn't include<br />
Privoxy.  It includes Polipo instead."  (see: <a href="http://www.mail-archive.com/or-talk@freehaven.net/msg11474.html" rel="nofollow">http://www.mail-archive.com/or-talk@freehaven.net/msg11474.html</a>).  However (I am using TBB 1.2.9), on the Proxy tab of the Torbutton add-in, both "use the recommended settings for my version of Firefox" *and* "Use Privoxy" are selected.  Mr. Lewman's statement and the settings are confusing, and seem to be contradictory.  Is the "Use Privoxy" nomenclature in Torbutton deprecated or otherwise misleading?  If not, please enlighten me as to what important concept I have missed here.  Thank you.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2523"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2523" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2521" class="permalink" rel="bookmark">Privoxy? </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2523">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2523" class="permalink" rel="bookmark">clarification</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"until I saw allegations in this thread that it was not working." - "it" being Torbutton, if that was unclear.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2525"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2525" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2521" class="permalink" rel="bookmark">Privoxy? </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2525">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2525" class="permalink" rel="bookmark">re: privoxy</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's a nomenclature bit.  The Tor Browser Bundle does not include Privoxy.  Torbutton could just as well state "Use Fluffy Bunnies" and point the browser at localhost:8118 correctly.</p>
<p>You do raise a fine point that torbutton needs to be updated.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2535"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2535" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 16, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-2535">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2535" class="permalink" rel="bookmark">Thanks, I thought that might</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks, I thought that might be the answer, but I thought it was worth asking.  With security and privacy tools, it really does seem to me that the only stupid questions are the ones that do not get asked :-)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-2534"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2534" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>sortanew (not verified)</span> said:</p>
      <p class="date-time">September 16, 2009</p>
    </div>
    <a href="#comment-2534">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2534" class="permalink" rel="bookmark">Most connections fail</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can't give email because connection now fails.  Wikileaks submit also failed.  Added this latest update after being new at this and at least succeeding at getting to my anon email.  Doesn't seem to work so well for me.  No one here to help.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2537"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2537" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 16, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2534" class="permalink" rel="bookmark">Most connections fail</a> by <span>sortanew (not verified)</span></p>
    <a href="#comment-2537">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2537" class="permalink" rel="bookmark">re: connections failing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What fails?  Tor?  Connections to hidden services?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2549"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2549" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 18, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-2549">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2549" class="permalink" rel="bookmark">connections failing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor was up and running, but would not connect to urls, today it did connect to email url that failed the other day.  For one site that failed I was told I need a US exit node, but don't know how to do that.  No one here to tell me how.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-2544"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2544" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 17, 2009</p>
    </div>
    <a href="#comment-2544">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2544" class="permalink" rel="bookmark">thanks for changing your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thanks for changing your link to firefox 3.0 that was bad.<br />
You STILL link to the torbutton page which says "tor button fine to 3.6a1pre" link here which is obviously very confusing for people<br />
<a href="https://addons.mozilla.org/en-US/firefox/addon/2275" rel="nofollow">https://addons.mozilla.org/en-US/firefox/addon/2275</a>.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2576"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2576" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 20, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2544" class="permalink" rel="bookmark">thanks for changing your</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2576">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2576" class="permalink" rel="bookmark">re: thanks for changing your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It is compatible.  If people want to shoot themselves in the foot, they can go right ahead and do so.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2592"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2592" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 22, 2009</p>
    </div>
    <a href="#comment-2592">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2592" class="permalink" rel="bookmark">2 questions</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Whether it's FF 3.5x or previous versions, when enabling Tor Button, it automatically resizes my browser window to various sizes, usually bigger than my screen itself. To make it worse, when I'm done using it and disable it, it doesn't revert back to it's original dimensions. I'd prefer my browser size be left completely alone, and let me resize it myself if/when needed. Why does it do this? is there a logic behind it that I'm unaware of?</p>
<p>Second question, I just read about it not being compatible with 3.5.x. What's unsafe? does it leak your real IP address? When I've checked so far at ipchicken.com, it always seems to show an IP that isn't mine?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2599"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2599" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 23, 2009</p>
    </div>
    <a href="#comment-2599">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2599" class="permalink" rel="bookmark">Is is possible to update the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is is possible to update the Tor Browser Bundle (including Pidgin) without uninstalling and then installing the new version?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2604"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2604" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 24, 2009</p>
    </div>
    <a href="#comment-2604">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2604" class="permalink" rel="bookmark">flashplayer</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>is there anyway to use adobe while tor is enabled ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2662"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2662" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2604" class="permalink" rel="bookmark">flashplayer</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2662">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2662" class="permalink" rel="bookmark">re: flash</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Using Flash with Tor isn't safe, you will lose some anonymity.  There are options to enable this, but you might as well not use Tor then, <a href="https://www.torproject.org/torbutton/faq.html.en#noflash" rel="nofollow">https://www.torproject.org/torbutton/faq.html.en#noflash</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2606"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2606" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Repressed Canadian (not verified)</span> said:</p>
      <p class="date-time">September 24, 2009</p>
    </div>
    <a href="#comment-2606">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2606" class="permalink" rel="bookmark">In China, No freedom of speech!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>So... for some odd reason my Tor stopped working midway through loading a page today. It can now no longer connect. I'm using the 0.1.15 Vidalia, 0.2.0.35 Tor, 4.3.5 QT, Tor button was a seperate tack on.</p>
<p>I know its an old version, but it took me 4 days last week to look for a working mirror for the browser bundle - since most sites link to the Tor Project. however, I'm running a MAC, and unfortunately Torproject.org is blocked by China. *sighs*</p>
<p>What are my options?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2664"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2664" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2606" class="permalink" rel="bookmark">In China, No freedom of speech!</a> by <span>Repressed Canadian (not verified)</span></p>
    <a href="#comment-2664">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2664" class="permalink" rel="bookmark">re: no freedom of speech</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://blog.torproject.org/blog/tor-partially-blocked-china" rel="nofollow">https://blog.torproject.org/blog/tor-partially-blocked-china</a></p>
<p>Get a bridge, you also may want to update to the latest -stable as bridges will work better and Tor is faster overall.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2617"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2617" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>American in China (not verified)</span> said:</p>
      <p class="date-time">September 24, 2009</p>
    </div>
    <a href="#comment-2617">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2617" class="permalink" rel="bookmark">Armegeddon Came Yesterday!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have the same problem as the previous poster.  As of 09-24-2009 at around 5PM, I can not connect to any TOR relays.  None at all - I'm not sure what happened.  After the problem, I started looking on the net (Unfortunately I can not connect to torproject.org) and found that I may be using incompatible versions.  FF = 3.5.3 and Vidalia-bundle-0.2.0.35-0.1.15.  But it worked great until yesterday!</p>
<p>Can anyone give me any advice on how to connect again, and mirror sites to download the needed versions (or even e-mail me the versions that I need).</p>
<p>Any help would be greatly appreciated, especially if it were clear enough for a 5 year old to understand!  The only SOCKS I know about smell bad!  I don't really need to be anonymous because of anything I'm doing on-line, I just want to get access to blocked websites like facebook.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2621"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2621" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="Harmonized Frenchman in the &#039;Jing">Harmonized Fre… (not verified)</span> said:</p>
      <p class="date-time">September 24, 2009</p>
    </div>
    <a href="#comment-2621">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2621" class="permalink" rel="bookmark">Every popular breach in the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Every popular breach in the GFW has been filled. Popular free and paid vpn and even tor's bridges are all but blocked in Beijing. Just a week before the 60th anniversary of China, the timing leaves no doubt that they want to have complete and utter control over the internet before the celebrations. Previous anniversaries and important national events are usually the occasion to tighten security measures, both on the street and online, but to date I think this is the first time that tor completely stopped working here in Beijing.<br />
This is not likely to change after oct. 8, so unless the TOR team can come up with a workaround, we people living in China will have to embrace censorship and enjoy harmonious web browsing with Chinese characteristics (or resort to those annoying web proxies).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2663"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2663" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">September 27, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2621" class="permalink" rel="bookmark">Every popular breach in the</a> by <span content="Harmonized Frenchman in the &#039;Jing">Harmonized Fre… (not verified)</span></p>
    <a href="#comment-2663">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2663" class="permalink" rel="bookmark">re: tor in china</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We have confirmed reports that Tor is working for some people in China, and that bridges continue to work for the most part.</p>
<p><a href="https://blog.torproject.org/blog/tor-partially-blocked-china" rel="nofollow">https://blog.torproject.org/blog/tor-partially-blocked-china</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2622"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2622" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span content="Harmonized Frenchman in the &#039;Jing">Harmonized Fre… (not verified)</span> said:</p>
      <p class="date-time">September 24, 2009</p>
    </div>
    <a href="#comment-2622">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2622" class="permalink" rel="bookmark">Every popular breach in the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Every popular breach in the GFW has been filled. Popular free and paid vpn and even tor's bridges are all but blocked in Beijing. Just a week before the 60th anniversary of China, the timing leaves no doubt that they want to have complete and utter control over the internet before the celebrations. Previous anniversaries and important national events are usually the occasion to tighten security measures, both on the street and online, but to date I think this is the first time that tor completely stopped working here in Beijing.<br />
This is not likely to change after oct. 8, so unless the TOR team can come up with a workaround, we people living in China will have to embrace censorship and enjoy harmonious web browsing with Chinese characteristics (or resort to those annoying web proxies).</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2624"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2624" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Dead in the Water (not verified)</span> said:</p>
      <p class="date-time">September 24, 2009</p>
    </div>
    <a href="#comment-2624">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2624" class="permalink" rel="bookmark">Need a New Bridge</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can someone please post a new bridge here for me to use?  Tor isn't replying for my request for a bridge - plus I can't get to the published list of bridges on Tor's page.  If a couple people reply with new bridges, I think I'd be in good shape.  E-mail might be better to keep them confidential - <a href="mailto:dave7822@aol.com" rel="nofollow">dave7822@aol.com</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2665"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2665" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Hoo (not verified)</span> said:</p>
      <p class="date-time">September 27, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2624" class="permalink" rel="bookmark">Need a New Bridge</a> by <span>Dead in the Water (not verified)</span></p>
    <a href="#comment-2665">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2665" class="permalink" rel="bookmark">to find public bridge</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>to find public bridge addresses is to send mail to <a href="mailto:bridges@torproject.org" rel="nofollow">bridges@torproject.org</a> with the line get bridges by itself in the body of the mail.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2697"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2697" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>gopu mathew (not verified)</span> said:</p>
      <p class="date-time">September 28, 2009</p>
    </div>
    <a href="#comment-2697">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2697" class="permalink" rel="bookmark">Replacing firefox</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can I replace the Firefox in the bundle with a portable Firefox 3.5.3?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3019"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3019" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Lilly (not verified)</span> said:</p>
      <p class="date-time">November 06, 2009</p>
    </div>
    <a href="#comment-3019">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3019" class="permalink" rel="bookmark">How do I remove browser bundle please?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I followed the instructions on the site and I'm not having any luck. Can someone please help me?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3043"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3043" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>PETER (not verified)</span> said:</p>
      <p class="date-time">November 08, 2009</p>
    </div>
    <a href="#comment-3043">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3043" class="permalink" rel="bookmark">Nov 08 12:03:39.958 [Notice]</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Nov 08 12:03:39.958 [Notice] No current certificate known for authority ides; launching request.Please fix this thing. Any updates for TBB?. if so when will be the other version is going 2 be released?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-7561"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-7561" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">September 03, 2010</p>
    </div>
    <a href="#comment-7561">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-7561" class="permalink" rel="bookmark">Hi, I installed TOR last</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi, I installed TOR last week and upon running it, it told me there is a newer version available. I downloaded it and attempted to uninstall the older version so as to install the newer version be the uninstall didn't complete the process and as such I couldn't install the new version as it keeps giving error messages.</p>
<p>Can I get an uninstaller to enable me complete the process or can I repair the damaged one?</p>
<p>Felix.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-8972"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-8972" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 29, 2011</p>
    </div>
    <a href="#comment-8972">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-8972" class="permalink" rel="bookmark">I have the same problem, was</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have the same problem, was told to upgrade, couldn't uninstall the previous version, installed new version, now nothing works :((((.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-9887"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-9887" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 14, 2011</p>
    </div>
    <a href="#comment-9887">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-9887" class="permalink" rel="bookmark">when I,ll watch youtube by</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>when I,ll watch youtube by tor I cant do it and it sey to me that install adobe flash player.how can I install it on tor.I use ubuntu OS 0.4</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
